GNU bug report logs - #57834
Date Command Anomaly

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Reported by: Martin Hughes <martin.j.hughes@HIDDEN>; Keywords: notabug; Done: Paul Eggert <eggert@HIDDEN>; Maintainer for coreutils is bug-coreutils@HIDDEN.
bug closed, send any further explanations to 57834 <at> debbugs.gnu.org and Martin Hughes <martin.j.hughes@HIDDEN> Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57834 <at> debbugs.gnu.org:


Received: (at 57834) by debbugs.gnu.org; 23 Sep 2022 17:05:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 13:05:08 2022
Received: from localhost ([127.0.0.1]:41651 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obm6u-000639-7x
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 13:05:08 -0400
Received: from mail-wr1-f43.google.com ([209.85.221.43]:35692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <celvidge001@HIDDEN>) id 1obm6s-00062Y-KX
 for 57834 <at> debbugs.gnu.org; Fri, 23 Sep 2022 13:05:07 -0400
Received: by mail-wr1-f43.google.com with SMTP id r7so959342wrm.2
 for <57834 <at> debbugs.gnu.org>; Fri, 23 Sep 2022 10:05:06 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :user-agent:date:message-id:from:cc:references:to:subject:from:to:cc
 :subject:date; bh=+zapSAa5hxsUIzbuyLe+rcn+bIIMe7TBHGI8nvOec5k=;
 b=SONOrEb8F8xvrMU2wkytC0NTqNxD7iUh5BOSZnieUAFtGWivf+6NzEI8PIktDwQhMb
 0beIPtxbI+vbk3mzbkenOdGg1ZNc2E7rJrwYaZ2f1t4R2M1wZV1xUWBiNGJCzZbhZUWX
 Du1Bg/U8UViw41hpr4bYZZJ+ZEbo4HASiBJ0MrIRg9maQ/Nd9RG07DjaaNY7xNv7DCNL
 jcwkYiUd2hr+DBVAsZ25pEAfhAYNRnhLY6UfQxYIaYsOvCEGzMp9I5yvjgMCPDuENADY
 EkwnItiqWP2JJg0Uc4FF6T2QRc6k6XUvKjvnn+jGpWPqLWn484djiitxw/bFhMqqpbc0
 +7sg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:content-language:in-reply-to:mime-version
 :user-agent:date:message-id:from:cc:references:to:subject
 :x-gm-message-state:from:to:cc:subject:date;
 bh=+zapSAa5hxsUIzbuyLe+rcn+bIIMe7TBHGI8nvOec5k=;
 b=D3SZxidM2SYz6j5UvQusz3NJXeNJC59MQX0xXBOKm/RB3NuxELKcZCdqSi2AKS04E2
 Hy7+VZ9y9Um5JJzcRiRkoXvnC81XJ1Q375vyARxuU19a+R3qJp/dVOzixiOd7ynR/NX1
 lIhyVnwQvVBtHn7XPHFpUHKBPClYCqcHX2XXqDoqxRYOgxiKjjaZdV4MfqISllisOr09
 WWUfaBFQsQBHCOacYPQoAS2MatoUfTpI2oNc/TwC7eHjVeolcouGQVHgnnhyMkKT+nzW
 1VnkWJyadKpV93dVZ+DTZDwiVZTYQxZqsqOYRngQb3vtsbH3rhJoMYuT139MiN/2Lp8M
 x6lA==
X-Gm-Message-State: ACrzQf3fiZTKSWTCsIUgukNSaZXXQOs5LWTlNm6yKMvgJ/sHJ8pV0Iy0
 W7W3lWkVAryS93V1ZWXOpvzKk5lSoeE=
X-Google-Smtp-Source: AMsMyM7o9IBUwN9Oy5XedgHjYZEfZByeqSP4fQpORZu9sT1lG07uWyMVbPAPhpUM1inngOBkcyCVwQ==
X-Received: by 2002:a5d:5903:0:b0:22a:33de:f509 with SMTP id
 v3-20020a5d5903000000b0022a33def509mr6066756wrd.498.1663952700711; 
 Fri, 23 Sep 2022 10:05:00 -0700 (PDT)
Received: from [192.168.23.100] (92.40.187.213.threembb.co.uk. [92.40.187.213])
 by smtp.gmail.com with ESMTPSA id
 j27-20020a05600c1c1b00b003b332a7bf15sm3313811wms.7.2022.09.23.10.04.59
 (version=TLS1_2 cipher=ECDHE-ECDSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 23 Sep 2022 10:05:00 -0700 (PDT)
Subject: Re: bug#57834: Date Command Anomaly
To: Bert Wesarg <bert.wesarg@HIDDEN>
References: <254849d.41e75.18341bb0518.Webtop.95@HIDDEN>
 <CAKPyHN21SvwVVk5BOk6ZaMB8ZqbJ+CHhC43TusiiPupwSLB3=w@HIDDEN>
From: Chris Elvidge <celvidge001@HIDDEN>
Message-ID: <56786ace-1566-920f-69d8-e36a99e527ee@HIDDEN>
Date: Fri, 23 Sep 2022 18:04:54 +0100
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:52.0) Gecko/20100101
 Thunderbird/52.2.1 Lightning/5.4
MIME-Version: 1.0
In-Reply-To: <CAKPyHN21SvwVVk5BOk6ZaMB8ZqbJ+CHhC43TusiiPupwSLB3=w@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-GB
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 57834
Cc: 57834 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)



On 23/09/2022 14:03, Bert Wesarg via GNU coreutils Bug Reports wrote:
> Dear,
> 
> $ TZ=Europe/London date --debug --date="2022/03/27 01:00:00"
> date: warning: value 2022 has 4 digits. Assuming YYYY/MM/DD
> date: parsed date part: (Y-M-D) 2022-03-27
> date: parsed time part: 01:00:00
> date: input timezone: TZ="Europe/London" environment value
> date: using specified time as starting value: '01:00:00'
> date: error: invalid date/time value:
> date:     user provided time: '(Y-M-D) 2022-03-27 01:00:00'
> date:        normalized time: '(Y-M-D) 2022-03-27 02:00:00'
> date:                                             --
> date:      possible reasons:
> date:        non-existing due to daylight-saving time;
> date:        numeric values overflow;
> date:        missing timezone
> date: invalid date ‘2022/03/27 01:00:00’
> 
> Best
> Bert
> 
> On Thu, Sep 15, 2022 at 5:21 PM Martin Hughes via GNU coreutils Bug
> Reports <bug-coreutils@HIDDEN> wrote:
>>
>>
>> Dear Sir,
>> I have stumbled across this anomaly whilst processing a series of dates.
>> I have not found any other legal date combination that generates this
>> error. Perl time facilities seem to be affected by this too.
>>
>> mjh@carnaby:~> date --date="2022/03/27 00:00:00"
>> Sun 27 Mar 00:00:00 GMT 2022
>>
>> mjh@carnaby:~> date --date="2022/03/27 01:00:00"
>> date: invalid date ‘2022/03/27 01:00:00’
>>
>> mjh@carnaby:~> date --date="2022/03/27 02:00:00"
>> Sun 27 Mar 02:00:00 BST 2022
>>
>> The version of date is:
>> mjh@carnaby:~> date --version
>> date (GNU coreutils) 8.29
>> Copyright (C) 2017 Free Software Foundation, Inc.
>> License GPLv3+: GNU GPL version 3 or later
>> <https://gnu.org/licenses/gpl.html>.
>> This is free software: you are free to change and redistribute it.
>> There is NO WARRANTY, to the extent permitted by law.
>> Written by David MacKenzie.
>>
>> The operating system is opensuse leap 15.2:
>> Linux version 5.3.18-lp152.106-default (geeko@buildhost) (gcc version
>> 7.5.0 (SUSE Linux)) #1 SMP Mon Nov 22 08:38:17 UTC 2021 (52078fe)
>>
>> Martin Hughes
> 
> 
> 
> 

A bit late to the party weren't you?
Martin acknowledged it was GMT/BST transition, on 15th September.

-- 

Chris Elvidge







Information forwarded to bug-coreutils@HIDDEN:
bug#57834; Package coreutils. Full text available.

Message received at 57834 <at> debbugs.gnu.org:


Received: (at 57834) by debbugs.gnu.org; 23 Sep 2022 13:03:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 23 09:03:30 2022
Received: from localhost ([127.0.0.1]:39675 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1obiL3-0005Ep-MG
	for submit <at> debbugs.gnu.org; Fri, 23 Sep 2022 09:03:29 -0400
Received: from mail-qk1-f179.google.com ([209.85.222.179]:44917)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bert.wesarg@HIDDEN>) id 1obiKx-0005EZ-LA
 for 57834 <at> debbugs.gnu.org; Fri, 23 Sep 2022 09:03:27 -0400
Received: by mail-qk1-f179.google.com with SMTP id y2so8153465qkl.11
 for <57834 <at> debbugs.gnu.org>; Fri, 23 Sep 2022 06:03:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=googlemail.com; s=20210112;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:from:to:cc:subject:date;
 bh=ztEB71lImzMQzN2bopJHaK7Wn3zrH+2Kh+FyQhdqA9s=;
 b=XG9HVib120NBS/CLVeOr2BWASLxeNnAQkvuqIZHSTbv3FJLr3NNxbWuxQlqI7xLQY0
 gWGyUD/trwzQjhXRwqbwrbV8pUSc+N57FZuMhM60dOKKbLvM1AORxXnqSZi68oA74WDk
 l4fqlTu0srv3G0LGR+Ofg+vFb+H0Auoom6+QNSF1/Eg/5cFz7vTnmInxNCTE5n1hUC1h
 u5s8yUOMbrRxxWKns39ilji3yz6e0LrK+E0yznGrzcy4ft84kHU8d5r6bjDMYYAouI1e
 K6BZR6dKAaQOAndu5PsuV2ZGpTLYYr/NruMRGcERxoJZ860kPdl1FUwhEtkex2CD7Si6
 x50w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:cc:to:subject:message-id:date:from
 :in-reply-to:references:mime-version:x-gm-message-state:from:to:cc
 :subject:date;
 bh=ztEB71lImzMQzN2bopJHaK7Wn3zrH+2Kh+FyQhdqA9s=;
 b=T1h9EM51csP4IvYPH7AAiSa2cztQwGF85PvhI0j8saFzcfsE/Kw7PycsmP7MnhzVNb
 Vv3IVuzC9LFYawwt5bX3bydRg4eF5VZgsPd+UhL+UrORRxFLyugB7wiY9l/uhJLFKDPs
 3Xl+IpELQICR3ixK1dpt4aOSOM9x5qqzFkt+pFwdk1qDB4CtO1eG7/lwXArHQ1BfrZhm
 7/2PRfLo0ZyvU+f+5BQFtaxjH5IjFFz1a3S6PaVeIui9GBKwxMyOeXBAvKJGuneTW9wA
 xAHBCtlWGoIROIsXi+IkdxojGSFjo5xfZIbBR9SE33he9CTNGk4f3K4tTlEiJevtbgEY
 g+Pg==
X-Gm-Message-State: ACrzQf1nzXt76DUA45za8j6xNK/Dgqphh7hZlAQMJlYsRmmzTgcq9MHg
 TfhYod2h3Eez+oCVxC2jSxfh0Knp/VXXARBOIJEEOs1v+3U=
X-Google-Smtp-Source: AMsMyM6xoiwc9Vq5Ac/fSvNePbbFSYxWQJE4ys5o8g8Lv3y5MNYFUz7hk3Xjz8a8RIlxnEePiSHn0HoAhlzeLEHSth8=
X-Received: by 2002:a37:a4a:0:b0:6cd:5263:1ba4 with SMTP id
 71-20020a370a4a000000b006cd52631ba4mr5449423qkk.203.1663938197939; Fri, 23
 Sep 2022 06:03:17 -0700 (PDT)
MIME-Version: 1.0
References: <254849d.41e75.18341bb0518.Webtop.95@HIDDEN>
In-Reply-To: <254849d.41e75.18341bb0518.Webtop.95@HIDDEN>
From: Bert Wesarg <bert.wesarg@HIDDEN>
Date: Fri, 23 Sep 2022 15:03:06 +0200
Message-ID: <CAKPyHN21SvwVVk5BOk6ZaMB8ZqbJ+CHhC43TusiiPupwSLB3=w@HIDDEN>
Subject: Re: bug#57834: Date Command Anomaly
To: Martin Hughes <martin.j.hughes@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 1.7 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Dear,
 $ TZ=Europe/London date --debug --date="2022/03/27 01:00:00"
 date: warning: value 2022 has 4 digits. Assuming YYYY/MM/DD date: parsed
 date part: (Y-M-D) 2022-03-27 date: parsed time part: 01:00:00 dat [...] 
 Content analysis details:   (1.7 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 1.7 DEAR_SOMETHING         BODY: Contains 'Dear (something)'
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (bert.wesarg[at]googlemail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [209.85.222.179 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.222.179 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 57834
Cc: 57834 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.7 (/)

Dear,

$ TZ=3DEurope/London date --debug --date=3D"2022/03/27 01:00:00"
date: warning: value 2022 has 4 digits. Assuming YYYY/MM/DD
date: parsed date part: (Y-M-D) 2022-03-27
date: parsed time part: 01:00:00
date: input timezone: TZ=3D"Europe/London" environment value
date: using specified time as starting value: '01:00:00'
date: error: invalid date/time value:
date:     user provided time: '(Y-M-D) 2022-03-27 01:00:00'
date:        normalized time: '(Y-M-D) 2022-03-27 02:00:00'
date:                                             --
date:      possible reasons:
date:        non-existing due to daylight-saving time;
date:        numeric values overflow;
date:        missing timezone
date: invalid date =E2=80=982022/03/27 01:00:00=E2=80=99

Best
Bert

On Thu, Sep 15, 2022 at 5:21 PM Martin Hughes via GNU coreutils Bug
Reports <bug-coreutils@HIDDEN> wrote:
>
>
> Dear Sir,
> I have stumbled across this anomaly whilst processing a series of dates.
> I have not found any other legal date combination that generates this
> error. Perl time facilities seem to be affected by this too.
>
> mjh@carnaby:~> date --date=3D"2022/03/27 00:00:00"
> Sun 27 Mar 00:00:00 GMT 2022
>
> mjh@carnaby:~> date --date=3D"2022/03/27 01:00:00"
> date: invalid date =E2=80=982022/03/27 01:00:00=E2=80=99
>
> mjh@carnaby:~> date --date=3D"2022/03/27 02:00:00"
> Sun 27 Mar 02:00:00 BST 2022
>
> The version of date is:
> mjh@carnaby:~> date --version
> date (GNU coreutils) 8.29
> Copyright (C) 2017 Free Software Foundation, Inc.
> License GPLv3+: GNU GPL version 3 or later
> <https://gnu.org/licenses/gpl.html>.
> This is free software: you are free to change and redistribute it.
> There is NO WARRANTY, to the extent permitted by law.
> Written by David MacKenzie.
>
> The operating system is opensuse leap 15.2:
> Linux version 5.3.18-lp152.106-default (geeko@buildhost) (gcc version
> 7.5.0 (SUSE Linux)) #1 SMP Mon Nov 22 08:38:17 UTC 2021 (52078fe)
>
> Martin Hughes




Information forwarded to bug-coreutils@HIDDEN:
bug#57834; Package coreutils. Full text available.

Message received at 57834 <at> debbugs.gnu.org:


Received: (at 57834) by debbugs.gnu.org; 16 Sep 2022 04:27:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 16 00:27:58 2022
Received: from localhost ([127.0.0.1]:41124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oZ2xI-0006sR-Th
	for submit <at> debbugs.gnu.org; Fri, 16 Sep 2022 00:27:58 -0400
Received: from mailomta7-re.btinternet.com ([213.120.69.100]:50695
 helo=re-prd-fep-042.btinternet.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <martin.j.hughes@HIDDEN>) id 1oYvN2-0004TU-Cm
 for 57834 <at> debbugs.gnu.org; Thu, 15 Sep 2022 16:22:04 -0400
Received: from re-prd-rgout-002.btmx-prd.synchronoss.net ([10.2.54.5])
 by re-prd-fep-042.btinternet.com with ESMTP id
 <20220915202153.ZCBV3291.re-prd-fep-042.btinternet.com@HIDDEN>
 for <57834 <at> debbugs.gnu.org>; Thu, 15 Sep 2022 21:21:53 +0100
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=btinternet.com;
 s=btmx201904; t=1663273313; 
 bh=/V80kMrUh/O72REY+66x1Czkj+zsGvsOPi8VlROf6sY=;
 h=To:Message-ID:Subject:MIME-Version:From:Date;
 b=lhIi+HQcrciATOI0mckzWNyPUr4/g4hKg+dj9i/N8Ftr4+qXq6LUHKXWko+PLumwQaCaojzMWi7gw/T3l57/Ylf6hI0DP8N8prssLj5NSY82RYB2Q497GIiKEa/LPQJjGGbJZe7mNr1r/ryYR0ZfoLujy1EVu3hT/k3HSBUpU3zy6eHYgPCC8UgjrIsZFO6g3pTL6Q64J0U66y/vFDQN0UR9JDKhLUedtMovXhK4FUyEUl+ZRoZdGIH+5iPEHM/pptMQu4RyX8+gWv59sF5S/wT/EOQKBtCN8q8nxqtBkPYd21Foz/JsuPu92ah24seOLik8XDWSkg5yiRza2tQWBg==
Authentication-Results: btinternet.com; none
X-SNCR-Rigid: 613A8DE839C4102D
X-OWM-Env-Sender: martin.j.hughes@HIDDEN
X-VadeSecure-score: verdict=clean score=0/300, class=clean
X-RazorGate-Vade: gggruggvucftvghtrhhoucdtuddrgedvfedrfedukedgudehudcutefuodetggdotefrodftvfcurfhrohhfihhlvgemuceutffkvffkuffjvffgnffgvefqofdpqfgfvfenuceurghilhhouhhtmecufedtudenucenucfjughrpefvkffugggtfghihfffsegrtdersgdtreejnecuhfhrohhmpeforghrthhinhcujfhughhhvghsuceomhgrrhhtihhnrdhjrdhhuhhghhgvshessghtihhnthgvrhhnvghtrdgtohhmqeenucggtffrrghtthgvrhhnpeelueeiteeuhfejjeekteejgedtveeileejudejtdelvedujefgieeihfeuvdelffenucfkphepuddtrddvrdehgedrleekpdekiedrudehhedrvddukedrudejheenucevlhhushhtvghrufhiiigvpedtnecurfgrrhgrmhephhgvlhhopehrvgdqphhrugdquhigfhgvphdqtddujedrsghtmhigqdhprhgurdhshihntghhrhhonhhoshhsrdhnvghtpdhinhgvthepuddtrddvrdehgedrleekpdhmrghilhhfrhhomhepmhgrrhhtihhnrdhjrdhhuhhghhgvshessghtihhnthgvrhhnvghtrdgtohhmpdhnsggprhgtphhtthhopedupdhrtghpthhtohepheejkeefgeesuggvsggsuhhgshdrghhnuhdrohhrgh
X-RazorGate-Vade-Verdict: clean 0
X-RazorGate-Vade-Classification: clean
X-SNCR-hdrdom: btinternet.com
Received: from re-prd-uxfep-017.btmx-prd.synchronoss.net (10.2.54.98) by
 re-prd-rgout-002.btmx-prd.synchronoss.net (5.8.716.04)
 id 613A8DE839C4102D for 57834 <at> debbugs.gnu.org; Thu, 15 Sep 2022 21:21:53 +0100
Received: from [86.155.218.175]
 by email.bt.com with HTTP; Thu, 15 Sep 2022 21:21:53 +0100
To: 57834 <at> debbugs.gnu.org
Message-ID: <403e9e24.3ee71.18342d0a41b.Webtop.98@HIDDEN>
Subject: Date Command Anomaly - Forget it. My Oversite
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_1469941_1026350816.1663273313304"
User-Agent: OWM Mail 3
X-SID: 98
X-Originating-IP: [86.155.218.175]
From: Martin Hughes <martin.j.hughes@HIDDEN>
Date: Thu, 15 Sep 2022 21:21:53 +0100 (BST)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57834
X-Mailman-Approved-At: Fri, 16 Sep 2022 00:27:55 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_1469941_1026350816.1663273313304
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit


Sorry, my oversite,

It was the transition from Greenwich Mean Time to British Summer time 
27th March.

Martin Hughes

------=_Part_1469941_1026350816.1663273313304
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: 7bit

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"> <html xmlns="http://www.w3.org/1999/xhtml"> <head> <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /> </head> <body><div class="auto-created-dir-div" dir="auto" style="unicode-bidi: embed;"><style>p{margin:0}</style><p>Sorry, my oversite,</p><p><br></p><p>It was the transition from Greenwich Mean Time to British Summer time 27th March.</p><p><br></p><p>Martin Hughes<br></p></div></body></html>
------=_Part_1469941_1026350816.1663273313304--




Information forwarded to bug-coreutils@HIDDEN:
bug#57834; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 15 Sep 2022 15:19:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 15 11:19:55 2022
Received: from localhost ([127.0.0.1]:58898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oYqeh-00051h-9J
	for submit <at> debbugs.gnu.org; Thu, 15 Sep 2022 11:19:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:34146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <martin.j.hughes@HIDDEN>) id 1oYqda-0004zr-65
 for submit <at> debbugs.gnu.org; Thu, 15 Sep 2022 11:18:48 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48352)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <martin.j.hughes@HIDDEN>)
 id 1oYqdZ-0005ZM-Ay
 for bug-coreutils@HIDDEN; Thu, 15 Sep 2022 11:18:45 -0400
Received: from mailomta1-re.btinternet.com ([213.120.69.94]:36238
 helo=re-prd-fep-049.btinternet.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <martin.j.hughes@HIDDEN>)
 id 1oYqdW-00034G-Pc
 for bug-coreutils@HIDDEN; Thu, 15 Sep 2022 11:18:45 -0400
Received: from re-prd-rgout-001.btmx-prd.synchronoss.net ([10.2.54.4])
 by re-prd-fep-049.btinternet.com with ESMTP id
 <20220915151839.UBMR3069.re-prd-fep-049.btinternet.com@HIDDEN>
 for <bug-coreutils@HIDDEN>; Thu, 15 Sep 2022 16:18:39 +0100
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=btinternet.com;
 s=btmx201904; t=1663255119; 
 bh=MrtqMTSXaejyjd/ZKJYlAbnpdiyLelc6PUV5pOsMqdc=;
 h=To:Message-ID:Subject:MIME-Version:From:Date;
 b=ZkVf/RebsnHfXPvfjl7mt/UfRocxwa4uj+IarFgtSs95SSxR09Jrba4Y8bvpZOcvdxJ5T1DqbAIAjfPTLI14pMIdS0vBwv2TQ+yebb1xSBDrAVlYqxkXmJIZB3m3GXfIzxseFeqOZkIgUDemhHrkfX64iAoGXZrPhelONdaBbOKTRlSj6CmY6cdArcMMHQ9n1qXBCaHKYqSMVDYXPTfsAKw3PYuK60x/B6oeDmBSd+j/UuoGmqet27/RazqcJ6u/MD1zZwaiLws37DEyR06eAiOvp3hmX/0lVMyrvoAjn4xY/5/ExM1/qNUr5WrT0uOmvuyVtCntoi5dyP0UUEc/og==
Authentication-Results: btinternet.com; none
X-SNCR-Rigid: 613A8CC339BA93D4
X-OWM-Env-Sender: martin.j.hughes@HIDDEN
X-VadeSecure-score: verdict=clean score=0/300, class=clean
X-RazorGate-Vade: gggruggvucftvghtrhhoucdtuddrgedvfedrfedukedgkeekucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuueftkffvkffujffvgffngfevqffopdfqfgfvnecuuegrihhlohhuthemuceftddunecunecujfgurhepvffkufggtggfihfhffesrgdtregstderjeenucfhrhhomhepofgrrhhtihhnucfjuhhghhgvshcuoehmrghrthhinhdrjhdrhhhughhhvghssegsthhinhhtvghrnhgvthdrtghomheqnecuggftrfgrthhtvghrnhepfeehteffledvueeliedvfeefteffieejudelkeettdevfeevhfdvheduheehtefhnecuffhomhgrihhnpehgnhhurdhorhhgnecukfhppedutddrvddrheegrdelhedpkeeirdduheehrddvudekrddujeehnecuvehluhhsthgvrhfuihiivgeptdenucfrrghrrghmpehhvghloheprhgvqdhprhguqdhugihfvghpqddtudegrdgsthhmgidqphhrugdrshihnhgthhhrohhnohhsshdrnhgvthdpihhnvghtpedutddrvddrheegrdelhedpmhgrihhlfhhrohhmpehmrghrthhinhdrjhdrhhhughhhvghssegsthhinhhtvghrnhgvthdrtghomhdpnhgspghrtghpthhtohepuddprhgtphhtthhopegsuhhgqdgtohhrvghuthhilhhssehgnhhurdhorhhg
X-RazorGate-Vade-Verdict: clean 0
X-RazorGate-Vade-Classification: clean
X-SNCR-hdrdom: btinternet.com
Received: from re-prd-uxfep-014.btmx-prd.synchronoss.net (10.2.54.95) by
 re-prd-rgout-001.btmx-prd.synchronoss.net (5.8.716.04)
 id 613A8CC339BA93D4 for bug-coreutils@HIDDEN; Thu, 15 Sep 2022 16:18:39 +0100
Received: from [86.155.218.175]
 by email.bt.com with HTTP; Thu, 15 Sep 2022 16:18:39 +0100
To: bug-coreutils@HIDDEN
Message-ID: <254849d.41e75.18341bb0518.Webtop.95@HIDDEN>
Subject: Date Command Anomaly
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_1543256_309390968.1663255119124"
User-Agent: OWM Mail 3
X-SID: 95
X-Originating-IP: [86.155.218.175]
From: Martin Hughes <martin.j.hughes@HIDDEN>
Date: Thu, 15 Sep 2022 16:18:39 +0100 (BST)
Received-SPF: pass client-ip=213.120.69.94;
 envelope-from=martin.j.hughes@HIDDEN;
 helo=re-prd-fep-049.btinternet.com
X-Spam_score_int: 0
X-Spam_score: -0.1
X-Spam_bar: /
X-Spam_report: (-0.1 / 5.0 requ) BAYES_00=-1.9, DEAR_SOMETHING=1.973,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.4 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 15 Sep 2022 11:19:53 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

------=_Part_1543256_309390968.1663255119124
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: quoted-printable


Dear Sir,
I have stumbled across this anomaly whilst processing a series of dates.=20
I have not found any other legal date combination that generates this=20
error. Perl time facilities seem to be affected by this too.

mjh@carnaby:~> date --date=3D"2022/03/27 00:00:00"
Sun 27 Mar 00:00:00 GMT 2022

mjh@carnaby:~> date --date=3D"2022/03/27 01:00:00"
date: invalid date =E2=80=982022/03/27 01:00:00=E2=80=99

mjh@carnaby:~> date --date=3D"2022/03/27 02:00:00"
Sun 27 Mar 02:00:00 BST 2022

The version of date is:
mjh@carnaby:~> date --version
date (GNU coreutils) 8.29
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later=20
<https://gnu.org/licenses/gpl.html>.
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Written by David MacKenzie.

The operating system is opensuse leap 15.2:
Linux version 5.3.18-lp152.106-default (geeko@buildhost) (gcc version=20
7.5.0 (SUSE Linux)) #1 SMP Mon Nov 22 08:38:17 UTC 2021 (52078fe)

Martin Hughes

------=_Part_1543256_309390968.1663255119124
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org=
/TR/xhtml1/DTD/xhtml1-strict.dtd"> <html xmlns=3D"http://www.w3.org/1999/xh=
tml"> <head> <meta http-equiv=3D"Content-Type" content=3D"text/html; charse=
t=3DUTF-8" /> </head> <body><div class=3D"auto-created-dir-div" dir=3D"auto=
" style=3D"unicode-bidi: embed;"><style>p{margin:0}</style><p>Dear Sir,</p>=
<p>I have stumbled across this anomaly whilst processing a series of dates.=
 I have not found any other legal date combination that generates this erro=
r. Perl time facilities seem to be affected by this too.<br></p><p><br></p>=
<p>mjh@carnaby:~&gt; date --date=3D&quot;2022/03/27 00:00:00&quot;<br></p>S=
un 27 Mar 00:00:00 GMT 2022<br><p><br></p><p>mjh@carnaby:~&gt; date --date=
=3D&quot;2022/03/27 01:00:00&quot;<br>date: invalid date =E2=80=982022/03/2=
7 01:00:00=E2=80=99<br></p><p><br></p><p>mjh@carnaby:~&gt; date --date=3D&q=
uot;2022/03/27 02:00:00&quot;<br>Sun 27 Mar 02:00:00 BST 2022<br></p><br><p=
>The version of date is:</p><p>mjh@carnaby:~&gt; date --version<br>date (GN=
U coreutils) 8.29<br>Copyright (C) 2017 Free Software Foundation, Inc.<br>L=
icense GPLv3+: GNU GPL version 3 or later &lt;https://gnu.org/licenses/gpl.=
html&gt;.<br>This is free software: you are free to change and redistribute=
 it.<br>There is NO WARRANTY, to the extent permitted by law.<br><br>Writte=
n by David MacKenzie.<br></p><p><br></p><p>The operating system is opensuse=
 leap 15.2:<br></p><p>Linux version 5.3.18-lp152.106-default (geeko@buildho=
st) (gcc version 7.5.0 (SUSE Linux)) #1 SMP Mon Nov 22 08:38:17 UTC 2021 (5=
2078fe)</p><p><br></p><p>Martin Hughes<br></p></div></body></html>
------=_Part_1543256_309390968.1663255119124--




Acknowledgement sent to Martin Hughes <martin.j.hughes@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#57834; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 23 Sep 2022 18:00:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.